IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/60
Addresses2^68
/64 networks16
- Network
fe80:c25b:ec00:dd60::/60- First address
fe80:c25b:ec00:dd60::- Last address
fe80:c25b:ec00:dd6f:ffff:ffff:ffff:ffff- Addresses
- 295,147,905,179,352,825,856 (2^68)
- /64 networks (LANs)
- 16
- Full form
fe80:c25b:ec00:dd60:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
6.d.d.0.0.c.e.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:ec00:dd60::/60 makes 256 subnets of /68.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:ec00:dd60::/68 | fe80:c25b:ec00:dd60:fff:ffff:ffff:ffff |
| 2 | fe80:c25b:ec00:dd60:1000::/68 | fe80:c25b:ec00:dd60:1fff:ffff:ffff:ffff |
| 3 | fe80:c25b:ec00:dd60:2000::/68 | fe80:c25b:ec00:dd60:2fff:ffff:ffff:ffff |
| 4 | fe80:c25b:ec00:dd60:3000::/68 | fe80:c25b:ec00:dd60:3fff:ffff:ffff:ffff |
| 5 | fe80:c25b:ec00:dd60:4000::/68 | fe80:c25b:ec00:dd60:4fff:ffff:ffff:ffff |
| 6 | fe80:c25b:ec00:dd60:5000::/68 | fe80:c25b:ec00:dd60:5fff:ffff:ffff:ffff |
| 7 | fe80:c25b:ec00:dd60:6000::/68 | fe80:c25b:ec00:dd60:6fff:ffff:ffff:ffff |
| 8 | fe80:c25b:ec00:dd60:7000::/68 | fe80:c25b:ec00:dd60:7fff:ffff:ffff:ffff |
| 9 | fe80:c25b:ec00:dd60:8000::/68 | fe80:c25b:ec00:dd60:8fff:ffff:ffff:ffff |
| 10 | fe80:c25b:ec00:dd60:9000::/68 | fe80:c25b:ec00:dd60:9fff:ffff:ffff:ffff |
| 11 | fe80:c25b:ec00:dd60:a000::/68 | fe80:c25b:ec00:dd60:afff:ffff:ffff:ffff |
| 12 | fe80:c25b:ec00:dd60:b000::/68 | fe80:c25b:ec00:dd60:bfff:ffff:ffff:ffff |
| 13 | fe80:c25b:ec00:dd60:c000::/68 | fe80:c25b:ec00:dd60:cfff:ffff:ffff:ffff |
| 14 | fe80:c25b:ec00:dd60:d000::/68 | fe80:c25b:ec00:dd60:dfff:ffff:ffff:ffff |
| 15 | fe80:c25b:ec00:dd60:e000::/68 | fe80:c25b:ec00:dd60:efff:ffff:ffff:ffff |
| 16 | fe80:c25b:ec00:dd60:f000::/68 | fe80:c25b:ec00:dd60:ffff:ffff:ffff:ffff |
| 17 | fe80:c25b:ec00:dd61::/68 | fe80:c25b:ec00:dd61:fff:ffff:ffff:ffff |
| 18 | fe80:c25b:ec00:dd61:1000::/68 | fe80:c25b:ec00:dd61:1fff:ffff:ffff:ffff |
| 19 | fe80:c25b:ec00:dd61:2000::/68 | fe80:c25b:ec00:dd61:2fff:ffff:ffff:ffff |
| 20 | fe80:c25b:ec00:dd61:3000::/68 | fe80:c25b:ec00:dd61:3fff:ffff:ffff:ffff |
| 21 | fe80:c25b:ec00:dd61:4000::/68 | fe80:c25b:ec00:dd61:4fff:ffff:ffff:ffff |
| 22 | fe80:c25b:ec00:dd61:5000::/68 | fe80:c25b:ec00:dd61:5fff:ffff:ffff:ffff |
| 23 | fe80:c25b:ec00:dd61:6000::/68 | fe80:c25b:ec00:dd61:6fff:ffff:ffff:ffff |
| 24 | fe80:c25b:ec00:dd61:7000::/68 | fe80:c25b:ec00:dd61:7fff:ffff:ffff:ffff |
| 25 | fe80:c25b:ec00:dd61:8000::/68 | fe80:c25b:ec00:dd61:8fff:ffff:ffff:ffff |
| 26 | fe80:c25b:ec00:dd61:9000::/68 | fe80:c25b:ec00:dd61:9fff:ffff:ffff:ffff |
| 27 | fe80:c25b:ec00:dd61:a000::/68 | fe80:c25b:ec00:dd61:afff:ffff:ffff:ffff |
| 28 | fe80:c25b:ec00:dd61:b000::/68 | fe80:c25b:ec00:dd61:bfff:ffff:ffff:ffff |
| 29 | fe80:c25b:ec00:dd61:c000::/68 | fe80:c25b:ec00:dd61:cfff:ffff:ffff:ffff |
| 30 | fe80:c25b:ec00:dd61:d000::/68 | fe80:c25b:ec00:dd61:dfff:ffff:ffff:ffff |
| 31 | fe80:c25b:ec00:dd61:e000::/68 | fe80:c25b:ec00:dd61:efff:ffff:ffff:ffff |
| 32 | fe80:c25b:ec00:dd61:f000::/68 | fe80:c25b:ec00:dd61:ffff:ffff:ffff:ffff |
| 33 | fe80:c25b:ec00:dd62::/68 | fe80:c25b:ec00:dd62:fff:ffff:ffff:ffff |
| 34 | fe80:c25b:ec00:dd62:1000::/68 | fe80:c25b:ec00:dd62:1fff:ffff:ffff:ffff |
| 35 | fe80:c25b:ec00:dd62:2000::/68 | fe80:c25b:ec00:dd62:2fff:ffff:ffff:ffff |
| 36 | fe80:c25b:ec00:dd62:3000::/68 | fe80:c25b:ec00:dd62:3fff:ffff:ffff:ffff |
| 37 | fe80:c25b:ec00:dd62:4000::/68 | fe80:c25b:ec00:dd62:4fff:ffff:ffff:ffff |
| 38 | fe80:c25b:ec00:dd62:5000::/68 | fe80:c25b:ec00:dd62:5fff:ffff:ffff:ffff |
| 39 | fe80:c25b:ec00:dd62:6000::/68 | fe80:c25b:ec00:dd62:6fff:ffff:ffff:ffff |
| 40 | fe80:c25b:ec00:dd62:7000::/68 | fe80:c25b:ec00:dd62:7fff:ffff:ffff:ffff |
| 41 | fe80:c25b:ec00:dd62:8000::/68 | fe80:c25b:ec00:dd62:8fff:ffff:ffff:ffff |
| 42 | fe80:c25b:ec00:dd62:9000::/68 | fe80:c25b:ec00:dd62:9fff:ffff:ffff:ffff |
| 43 | fe80:c25b:ec00:dd62:a000::/68 | fe80:c25b:ec00:dd62:afff:ffff:ffff:ffff |
| 44 | fe80:c25b:ec00:dd62:b000::/68 | fe80:c25b:ec00:dd62:bfff:ffff:ffff:ffff |
| 45 | fe80:c25b:ec00:dd62:c000::/68 | fe80:c25b:ec00:dd62:cfff:ffff:ffff:ffff |
| 46 | fe80:c25b:ec00:dd62:d000::/68 | fe80:c25b:ec00:dd62:dfff:ffff:ffff:ffff |
| 47 | fe80:c25b:ec00:dd62:e000::/68 | fe80:c25b:ec00:dd62:efff:ffff:ffff:ffff |
| 48 | fe80:c25b:ec00:dd62:f000::/68 | fe80:c25b:ec00:dd62:ffff:ffff:ffff:ffff |
| 49 | fe80:c25b:ec00:dd63::/68 | fe80:c25b:ec00:dd63:fff:ffff:ffff:ffff |
| 50 | fe80:c25b:ec00:dd63:1000::/68 | fe80:c25b:ec00:dd63:1fff:ffff:ffff:ffff |
| 51 | fe80:c25b:ec00:dd63:2000::/68 | fe80:c25b:ec00:dd63:2fff:ffff:ffff:ffff |
| 52 | fe80:c25b:ec00:dd63:3000::/68 | fe80:c25b:ec00:dd63:3fff:ffff:ffff:ffff |
| 53 | fe80:c25b:ec00:dd63:4000::/68 | fe80:c25b:ec00:dd63:4fff:ffff:ffff:ffff |
| 54 | fe80:c25b:ec00:dd63:5000::/68 | fe80:c25b:ec00:dd63:5fff:ffff:ffff:ffff |
| 55 | fe80:c25b:ec00:dd63:6000::/68 | fe80:c25b:ec00:dd63:6fff:ffff:ffff:ffff |
| 56 | fe80:c25b:ec00:dd63:7000::/68 | fe80:c25b:ec00:dd63:7fff:ffff:ffff:ffff |
| 57 | fe80:c25b:ec00:dd63:8000::/68 | fe80:c25b:ec00:dd63:8fff:ffff:ffff:ffff |
| 58 | fe80:c25b:ec00:dd63:9000::/68 | fe80:c25b:ec00:dd63:9fff:ffff:ffff:ffff |
| 59 | fe80:c25b:ec00:dd63:a000::/68 | fe80:c25b:ec00:dd63:afff:ffff:ffff:ffff |
| 60 | fe80:c25b:ec00:dd63:b000::/68 | fe80:c25b:ec00:dd63:bfff:ffff:ffff:ffff |
| 61 | fe80:c25b:ec00:dd63:c000::/68 | fe80:c25b:ec00:dd63:cfff:ffff:ffff:ffff |
| 62 | fe80:c25b:ec00:dd63:d000::/68 | fe80:c25b:ec00:dd63:dfff:ffff:ffff:ffff |
| 63 | fe80:c25b:ec00:dd63:e000::/68 | fe80:c25b:ec00:dd63:efff:ffff:ffff:ffff |
| 64 | fe80:c25b:ec00:dd63:f000::/68 | fe80:c25b:ec00:dd63:ffff:ffff:ffff:ffff |
| 65 | fe80:c25b:ec00:dd64::/68 | fe80:c25b:ec00:dd64:fff:ffff:ffff:ffff |
| 66 | fe80:c25b:ec00:dd64:1000::/68 | fe80:c25b:ec00:dd64:1fff:ffff:ffff:ffff |
| 67 | fe80:c25b:ec00:dd64:2000::/68 | fe80:c25b:ec00:dd64:2fff:ffff:ffff:ffff |
| 68 | fe80:c25b:ec00:dd64:3000::/68 | fe80:c25b:ec00:dd64:3fff:ffff:ffff:ffff |
| 69 | fe80:c25b:ec00:dd64:4000::/68 | fe80:c25b:ec00:dd64:4fff:ffff:ffff:ffff |
| 70 | fe80:c25b:ec00:dd64:5000::/68 | fe80:c25b:ec00:dd64:5fff:ffff:ffff:ffff |
| 71 | fe80:c25b:ec00:dd64:6000::/68 | fe80:c25b:ec00:dd64:6fff:ffff:ffff:ffff |
| 72 | fe80:c25b:ec00:dd64:7000::/68 | fe80:c25b:ec00:dd64:7fff:ffff:ffff:ffff |
| 73 | fe80:c25b:ec00:dd64:8000::/68 | fe80:c25b:ec00:dd64:8fff:ffff:ffff:ffff |
| 74 | fe80:c25b:ec00:dd64:9000::/68 | fe80:c25b:ec00:dd64:9fff:ffff:ffff:ffff |
| 75 | fe80:c25b:ec00:dd64:a000::/68 | fe80:c25b:ec00:dd64:afff:ffff:ffff:ffff |
| 76 | fe80:c25b:ec00:dd64:b000::/68 | fe80:c25b:ec00:dd64:bfff:ffff:ffff:ffff |
| 77 | fe80:c25b:ec00:dd64:c000::/68 | fe80:c25b:ec00:dd64:cfff:ffff:ffff:ffff |
| 78 | fe80:c25b:ec00:dd64:d000::/68 | fe80:c25b:ec00:dd64:dfff:ffff:ffff:ffff |
| 79 | fe80:c25b:ec00:dd64:e000::/68 | fe80:c25b:ec00:dd64:efff:ffff:ffff:ffff |
| 80 | fe80:c25b:ec00:dd64:f000::/68 | fe80:c25b:ec00:dd64:ffff:ffff:ffff:ffff |
| 81 | fe80:c25b:ec00:dd65::/68 | fe80:c25b:ec00:dd65:fff:ffff:ffff:ffff |
| 82 | fe80:c25b:ec00:dd65:1000::/68 | fe80:c25b:ec00:dd65:1fff:ffff:ffff:ffff |
| 83 | fe80:c25b:ec00:dd65:2000::/68 | fe80:c25b:ec00:dd65:2fff:ffff:ffff:ffff |
| 84 | fe80:c25b:ec00:dd65:3000::/68 | fe80:c25b:ec00:dd65:3fff:ffff:ffff:ffff |
| 85 | fe80:c25b:ec00:dd65:4000::/68 | fe80:c25b:ec00:dd65:4fff:ffff:ffff:ffff |
| 86 | fe80:c25b:ec00:dd65:5000::/68 | fe80:c25b:ec00:dd65:5fff:ffff:ffff:ffff |
| 87 | fe80:c25b:ec00:dd65:6000::/68 | fe80:c25b:ec00:dd65:6fff:ffff:ffff:ffff |
| 88 | fe80:c25b:ec00:dd65:7000::/68 | fe80:c25b:ec00:dd65:7fff:ffff:ffff:ffff |
| 89 | fe80:c25b:ec00:dd65:8000::/68 | fe80:c25b:ec00:dd65:8fff:ffff:ffff:ffff |
| 90 | fe80:c25b:ec00:dd65:9000::/68 | fe80:c25b:ec00:dd65:9fff:ffff:ffff:ffff |
| 91 | fe80:c25b:ec00:dd65:a000::/68 | fe80:c25b:ec00:dd65:afff:ffff:ffff:ffff |
| 92 | fe80:c25b:ec00:dd65:b000::/68 | fe80:c25b:ec00:dd65:bfff:ffff:ffff:ffff |
| 93 | fe80:c25b:ec00:dd65:c000::/68 | fe80:c25b:ec00:dd65:cfff:ffff:ffff:ffff |
| 94 | fe80:c25b:ec00:dd65:d000::/68 | fe80:c25b:ec00:dd65:dfff:ffff:ffff:ffff |
| 95 | fe80:c25b:ec00:dd65:e000::/68 | fe80:c25b:ec00:dd65:efff:ffff:ffff:ffff |
| 96 | fe80:c25b:ec00:dd65:f000::/68 | fe80:c25b:ec00:dd65:ffff:ffff:ffff:ffff |
| 97 | fe80:c25b:ec00:dd66::/68 | fe80:c25b:ec00:dd66:fff:ffff:ffff:ffff |
| 98 | fe80:c25b:ec00:dd66:1000::/68 | fe80:c25b:ec00:dd66:1fff:ffff:ffff:ffff |
| 99 | fe80:c25b:ec00:dd66:2000::/68 | fe80:c25b:ec00:dd66:2fff:ffff:ffff:ffff |
| 100 | fe80:c25b:ec00:dd66:3000::/68 | fe80:c25b:ec00:dd66:3fff:ffff:ffff:ffff |
| 101 | fe80:c25b:ec00:dd66:4000::/68 | fe80:c25b:ec00:dd66:4fff:ffff:ffff:ffff |
| 102 | fe80:c25b:ec00:dd66:5000::/68 | fe80:c25b:ec00:dd66:5fff:ffff:ffff:ffff |
| 103 | fe80:c25b:ec00:dd66:6000::/68 | fe80:c25b:ec00:dd66:6fff:ffff:ffff:ffff |
| 104 | fe80:c25b:ec00:dd66:7000::/68 | fe80:c25b:ec00:dd66:7fff:ffff:ffff:ffff |
| 105 | fe80:c25b:ec00:dd66:8000::/68 | fe80:c25b:ec00:dd66:8fff:ffff:ffff:ffff |
| 106 | fe80:c25b:ec00:dd66:9000::/68 | fe80:c25b:ec00:dd66:9fff:ffff:ffff:ffff |
| 107 | fe80:c25b:ec00:dd66:a000::/68 | fe80:c25b:ec00:dd66:afff:ffff:ffff:ffff |
| 108 | fe80:c25b:ec00:dd66:b000::/68 | fe80:c25b:ec00:dd66:bfff:ffff:ffff:ffff |
| 109 | fe80:c25b:ec00:dd66:c000::/68 | fe80:c25b:ec00:dd66:cfff:ffff:ffff:ffff |
| 110 | fe80:c25b:ec00:dd66:d000::/68 | fe80:c25b:ec00:dd66:dfff:ffff:ffff:ffff |
| 111 | fe80:c25b:ec00:dd66:e000::/68 | fe80:c25b:ec00:dd66:efff:ffff:ffff:ffff |
| 112 | fe80:c25b:ec00:dd66:f000::/68 | fe80:c25b:ec00:dd66:ffff:ffff:ffff:ffff |
| 113 | fe80:c25b:ec00:dd67::/68 | fe80:c25b:ec00:dd67:fff:ffff:ffff:ffff |
| 114 | fe80:c25b:ec00:dd67:1000::/68 | fe80:c25b:ec00:dd67:1fff:ffff:ffff:ffff |
| 115 | fe80:c25b:ec00:dd67:2000::/68 | fe80:c25b:ec00:dd67:2fff:ffff:ffff:ffff |
| 116 | fe80:c25b:ec00:dd67:3000::/68 | fe80:c25b:ec00:dd67:3fff:ffff:ffff:ffff |
| 117 | fe80:c25b:ec00:dd67:4000::/68 | fe80:c25b:ec00:dd67:4fff:ffff:ffff:ffff |
| 118 | fe80:c25b:ec00:dd67:5000::/68 | fe80:c25b:ec00:dd67:5fff:ffff:ffff:ffff |
| 119 | fe80:c25b:ec00:dd67:6000::/68 | fe80:c25b:ec00:dd67:6fff:ffff:ffff:ffff |
| 120 | fe80:c25b:ec00:dd67:7000::/68 | fe80:c25b:ec00:dd67:7fff:ffff:ffff:ffff |
| 121 | fe80:c25b:ec00:dd67:8000::/68 | fe80:c25b:ec00:dd67:8fff:ffff:ffff:ffff |
| 122 | fe80:c25b:ec00:dd67:9000::/68 | fe80:c25b:ec00:dd67:9fff:ffff:ffff:ffff |
| 123 | fe80:c25b:ec00:dd67:a000::/68 | fe80:c25b:ec00:dd67:afff:ffff:ffff:ffff |
| 124 | fe80:c25b:ec00:dd67:b000::/68 | fe80:c25b:ec00:dd67:bfff:ffff:ffff:ffff |
| 125 | fe80:c25b:ec00:dd67:c000::/68 | fe80:c25b:ec00:dd67:cfff:ffff:ffff:ffff |
| 126 | fe80:c25b:ec00:dd67:d000::/68 | fe80:c25b:ec00:dd67:dfff:ffff:ffff:ffff |
| 127 | fe80:c25b:ec00:dd67:e000::/68 | fe80:c25b:ec00:dd67:efff:ffff:ffff:ffff |
| 128 | fe80:c25b:ec00:dd67:f000::/68 | fe80:c25b:ec00:dd67:ffff:ffff:ffff:ffff |
| 129 | fe80:c25b:ec00:dd68::/68 | fe80:c25b:ec00:dd68:fff:ffff:ffff:ffff |
| 130 | fe80:c25b:ec00:dd68:1000::/68 | fe80:c25b:ec00:dd68:1fff:ffff:ffff:ffff |
| 131 | fe80:c25b:ec00:dd68:2000::/68 | fe80:c25b:ec00:dd68:2fff:ffff:ffff:ffff |
| 132 | fe80:c25b:ec00:dd68:3000::/68 | fe80:c25b:ec00:dd68:3fff:ffff:ffff:ffff |
| 133 | fe80:c25b:ec00:dd68:4000::/68 | fe80:c25b:ec00:dd68:4fff:ffff:ffff:ffff |
| 134 | fe80:c25b:ec00:dd68:5000::/68 | fe80:c25b:ec00:dd68:5fff:ffff:ffff:ffff |
| 135 | fe80:c25b:ec00:dd68:6000::/68 | fe80:c25b:ec00:dd68:6fff:ffff:ffff:ffff |
| 136 | fe80:c25b:ec00:dd68:7000::/68 | fe80:c25b:ec00:dd68:7fff:ffff:ffff:ffff |
| 137 | fe80:c25b:ec00:dd68:8000::/68 | fe80:c25b:ec00:dd68:8fff:ffff:ffff:ffff |
| 138 | fe80:c25b:ec00:dd68:9000::/68 | fe80:c25b:ec00:dd68:9fff:ffff:ffff:ffff |
| 139 | fe80:c25b:ec00:dd68:a000::/68 | fe80:c25b:ec00:dd68:afff:ffff:ffff:ffff |
| 140 | fe80:c25b:ec00:dd68:b000::/68 | fe80:c25b:ec00:dd68:bfff:ffff:ffff:ffff |
| 141 | fe80:c25b:ec00:dd68:c000::/68 | fe80:c25b:ec00:dd68:cfff:ffff:ffff:ffff |
| 142 | fe80:c25b:ec00:dd68:d000::/68 | fe80:c25b:ec00:dd68:dfff:ffff:ffff:ffff |
| 143 | fe80:c25b:ec00:dd68:e000::/68 | fe80:c25b:ec00:dd68:efff:ffff:ffff:ffff |
| 144 | fe80:c25b:ec00:dd68:f000::/68 | fe80:c25b:ec00:dd68:ffff:ffff:ffff:ffff |
| 145 | fe80:c25b:ec00:dd69::/68 | fe80:c25b:ec00:dd69:fff:ffff:ffff:ffff |
| 146 | fe80:c25b:ec00:dd69:1000::/68 | fe80:c25b:ec00:dd69:1fff:ffff:ffff:ffff |
| 147 | fe80:c25b:ec00:dd69:2000::/68 | fe80:c25b:ec00:dd69:2fff:ffff:ffff:ffff |
| 148 | fe80:c25b:ec00:dd69:3000::/68 | fe80:c25b:ec00:dd69:3fff:ffff:ffff:ffff |
| 149 | fe80:c25b:ec00:dd69:4000::/68 | fe80:c25b:ec00:dd69:4fff:ffff:ffff:ffff |
| 150 | fe80:c25b:ec00:dd69:5000::/68 | fe80:c25b:ec00:dd69:5fff:ffff:ffff:ffff |
| 151 | fe80:c25b:ec00:dd69:6000::/68 | fe80:c25b:ec00:dd69:6fff:ffff:ffff:ffff |
| 152 | fe80:c25b:ec00:dd69:7000::/68 | fe80:c25b:ec00:dd69:7fff:ffff:ffff:ffff |
| 153 | fe80:c25b:ec00:dd69:8000::/68 | fe80:c25b:ec00:dd69:8fff:ffff:ffff:ffff |
| 154 | fe80:c25b:ec00:dd69:9000::/68 | fe80:c25b:ec00:dd69:9fff:ffff:ffff:ffff |
| 155 | fe80:c25b:ec00:dd69:a000::/68 | fe80:c25b:ec00:dd69:afff:ffff:ffff:ffff |
| 156 | fe80:c25b:ec00:dd69:b000::/68 | fe80:c25b:ec00:dd69:bfff:ffff:ffff:ffff |
| 157 | fe80:c25b:ec00:dd69:c000::/68 | fe80:c25b:ec00:dd69:cfff:ffff:ffff:ffff |
| 158 | fe80:c25b:ec00:dd69:d000::/68 | fe80:c25b:ec00:dd69:dfff:ffff:ffff:ffff |
| 159 | fe80:c25b:ec00:dd69:e000::/68 | fe80:c25b:ec00:dd69:efff:ffff:ffff:ffff |
| 160 | fe80:c25b:ec00:dd69:f000::/68 | fe80:c25b:ec00:dd69:ffff:ffff:ffff:ffff |
| 161 | fe80:c25b:ec00:dd6a::/68 | fe80:c25b:ec00:dd6a:fff:ffff:ffff:ffff |
| 162 | fe80:c25b:ec00:dd6a:1000::/68 | fe80:c25b:ec00:dd6a:1fff:ffff:ffff:ffff |
| 163 | fe80:c25b:ec00:dd6a:2000::/68 | fe80:c25b:ec00:dd6a:2fff:ffff:ffff:ffff |
| 164 | fe80:c25b:ec00:dd6a:3000::/68 | fe80:c25b:ec00:dd6a:3fff:ffff:ffff:ffff |
| 165 | fe80:c25b:ec00:dd6a:4000::/68 | fe80:c25b:ec00:dd6a:4fff:ffff:ffff:ffff |
| 166 | fe80:c25b:ec00:dd6a:5000::/68 | fe80:c25b:ec00:dd6a:5fff:ffff:ffff:ffff |
| 167 | fe80:c25b:ec00:dd6a:6000::/68 | fe80:c25b:ec00:dd6a:6fff:ffff:ffff:ffff |
| 168 | fe80:c25b:ec00:dd6a:7000::/68 | fe80:c25b:ec00:dd6a:7fff:ffff:ffff:ffff |
| 169 | fe80:c25b:ec00:dd6a:8000::/68 | fe80:c25b:ec00:dd6a:8fff:ffff:ffff:ffff |
| 170 | fe80:c25b:ec00:dd6a:9000::/68 | fe80:c25b:ec00:dd6a:9fff:ffff:ffff:ffff |
| 171 | fe80:c25b:ec00:dd6a:a000::/68 | fe80:c25b:ec00:dd6a:afff:ffff:ffff:ffff |
| 172 | fe80:c25b:ec00:dd6a:b000::/68 | fe80:c25b:ec00:dd6a:bfff:ffff:ffff:ffff |
| 173 | fe80:c25b:ec00:dd6a:c000::/68 | fe80:c25b:ec00:dd6a:cfff:ffff:ffff:ffff |
| 174 | fe80:c25b:ec00:dd6a:d000::/68 | fe80:c25b:ec00:dd6a:dfff:ffff:ffff:ffff |
| 175 | fe80:c25b:ec00:dd6a:e000::/68 | fe80:c25b:ec00:dd6a:efff:ffff:ffff:ffff |
| 176 | fe80:c25b:ec00:dd6a:f000::/68 | fe80:c25b:ec00:dd6a:ffff:ffff:ffff:ffff |
| 177 | fe80:c25b:ec00:dd6b::/68 | fe80:c25b:ec00:dd6b:fff:ffff:ffff:ffff |
| 178 | fe80:c25b:ec00:dd6b:1000::/68 | fe80:c25b:ec00:dd6b:1fff:ffff:ffff:ffff |
| 179 | fe80:c25b:ec00:dd6b:2000::/68 | fe80:c25b:ec00:dd6b:2fff:ffff:ffff:ffff |
| 180 | fe80:c25b:ec00:dd6b:3000::/68 | fe80:c25b:ec00:dd6b:3fff:ffff:ffff:ffff |
| 181 | fe80:c25b:ec00:dd6b:4000::/68 | fe80:c25b:ec00:dd6b:4fff:ffff:ffff:ffff |
| 182 | fe80:c25b:ec00:dd6b:5000::/68 | fe80:c25b:ec00:dd6b:5fff:ffff:ffff:ffff |
| 183 | fe80:c25b:ec00:dd6b:6000::/68 | fe80:c25b:ec00:dd6b:6fff:ffff:ffff:ffff |
| 184 | fe80:c25b:ec00:dd6b:7000::/68 | fe80:c25b:ec00:dd6b:7fff:ffff:ffff:ffff |
| 185 | fe80:c25b:ec00:dd6b:8000::/68 | fe80:c25b:ec00:dd6b:8fff:ffff:ffff:ffff |
| 186 | fe80:c25b:ec00:dd6b:9000::/68 | fe80:c25b:ec00:dd6b:9fff:ffff:ffff:ffff |
| 187 | fe80:c25b:ec00:dd6b:a000::/68 | fe80:c25b:ec00:dd6b:afff:ffff:ffff:ffff |
| 188 | fe80:c25b:ec00:dd6b:b000::/68 | fe80:c25b:ec00:dd6b:bfff:ffff:ffff:ffff |
| 189 | fe80:c25b:ec00:dd6b:c000::/68 | fe80:c25b:ec00:dd6b:cfff:ffff:ffff:ffff |
| 190 | fe80:c25b:ec00:dd6b:d000::/68 | fe80:c25b:ec00:dd6b:dfff:ffff:ffff:ffff |
| 191 | fe80:c25b:ec00:dd6b:e000::/68 | fe80:c25b:ec00:dd6b:efff:ffff:ffff:ffff |
| 192 | fe80:c25b:ec00:dd6b:f000::/68 | fe80:c25b:ec00:dd6b:ffff:ffff:ffff:ffff |
| 193 | fe80:c25b:ec00:dd6c::/68 | fe80:c25b:ec00:dd6c:fff:ffff:ffff:ffff |
| 194 | fe80:c25b:ec00:dd6c:1000::/68 | fe80:c25b:ec00:dd6c:1fff:ffff:ffff:ffff |
| 195 | fe80:c25b:ec00:dd6c:2000::/68 | fe80:c25b:ec00:dd6c:2fff:ffff:ffff:ffff |
| 196 | fe80:c25b:ec00:dd6c:3000::/68 | fe80:c25b:ec00:dd6c:3fff:ffff:ffff:ffff |
| 197 | fe80:c25b:ec00:dd6c:4000::/68 | fe80:c25b:ec00:dd6c:4fff:ffff:ffff:ffff |
| 198 | fe80:c25b:ec00:dd6c:5000::/68 | fe80:c25b:ec00:dd6c:5fff:ffff:ffff:ffff |
| 199 | fe80:c25b:ec00:dd6c:6000::/68 | fe80:c25b:ec00:dd6c:6fff:ffff:ffff:ffff |
| 200 | fe80:c25b:ec00:dd6c:7000::/68 | fe80:c25b:ec00:dd6c:7fff:ffff:ffff:ffff |
| 201 | fe80:c25b:ec00:dd6c:8000::/68 | fe80:c25b:ec00:dd6c:8fff:ffff:ffff:ffff |
| 202 | fe80:c25b:ec00:dd6c:9000::/68 | fe80:c25b:ec00:dd6c:9fff:ffff:ffff:ffff |
| 203 | fe80:c25b:ec00:dd6c:a000::/68 | fe80:c25b:ec00:dd6c:afff:ffff:ffff:ffff |
| 204 | fe80:c25b:ec00:dd6c:b000::/68 | fe80:c25b:ec00:dd6c:bfff:ffff:ffff:ffff |
| 205 | fe80:c25b:ec00:dd6c:c000::/68 | fe80:c25b:ec00:dd6c:cfff:ffff:ffff:ffff |
| 206 | fe80:c25b:ec00:dd6c:d000::/68 | fe80:c25b:ec00:dd6c:dfff:ffff:ffff:ffff |
| 207 | fe80:c25b:ec00:dd6c:e000::/68 | fe80:c25b:ec00:dd6c:efff:ffff:ffff:ffff |
| 208 | fe80:c25b:ec00:dd6c:f000::/68 | fe80:c25b:ec00:dd6c:ffff:ffff:ffff:ffff |
| 209 | fe80:c25b:ec00:dd6d::/68 | fe80:c25b:ec00:dd6d:fff:ffff:ffff:ffff |
| 210 | fe80:c25b:ec00:dd6d:1000::/68 | fe80:c25b:ec00:dd6d:1fff:ffff:ffff:ffff |
| 211 | fe80:c25b:ec00:dd6d:2000::/68 | fe80:c25b:ec00:dd6d:2fff:ffff:ffff:ffff |
| 212 | fe80:c25b:ec00:dd6d:3000::/68 | fe80:c25b:ec00:dd6d:3fff:ffff:ffff:ffff |
| 213 | fe80:c25b:ec00:dd6d:4000::/68 | fe80:c25b:ec00:dd6d:4fff:ffff:ffff:ffff |
| 214 | fe80:c25b:ec00:dd6d:5000::/68 | fe80:c25b:ec00:dd6d:5fff:ffff:ffff:ffff |
| 215 | fe80:c25b:ec00:dd6d:6000::/68 | fe80:c25b:ec00:dd6d:6fff:ffff:ffff:ffff |
| 216 | fe80:c25b:ec00:dd6d:7000::/68 | fe80:c25b:ec00:dd6d:7fff:ffff:ffff:ffff |
| 217 | fe80:c25b:ec00:dd6d:8000::/68 | fe80:c25b:ec00:dd6d:8fff:ffff:ffff:ffff |
| 218 | fe80:c25b:ec00:dd6d:9000::/68 | fe80:c25b:ec00:dd6d:9fff:ffff:ffff:ffff |
| 219 | fe80:c25b:ec00:dd6d:a000::/68 | fe80:c25b:ec00:dd6d:afff:ffff:ffff:ffff |
| 220 | fe80:c25b:ec00:dd6d:b000::/68 | fe80:c25b:ec00:dd6d:bfff:ffff:ffff:ffff |
| 221 | fe80:c25b:ec00:dd6d:c000::/68 | fe80:c25b:ec00:dd6d:cfff:ffff:ffff:ffff |
| 222 | fe80:c25b:ec00:dd6d:d000::/68 | fe80:c25b:ec00:dd6d:dfff:ffff:ffff:ffff |
| 223 | fe80:c25b:ec00:dd6d:e000::/68 | fe80:c25b:ec00:dd6d:efff:ffff:ffff:ffff |
| 224 | fe80:c25b:ec00:dd6d:f000::/68 | fe80:c25b:ec00:dd6d:ffff:ffff:ffff:ffff |
| 225 | fe80:c25b:ec00:dd6e::/68 | fe80:c25b:ec00:dd6e:fff:ffff:ffff:ffff |
| 226 | fe80:c25b:ec00:dd6e:1000::/68 | fe80:c25b:ec00:dd6e:1fff:ffff:ffff:ffff |
| 227 | fe80:c25b:ec00:dd6e:2000::/68 | fe80:c25b:ec00:dd6e:2fff:ffff:ffff:ffff |
| 228 | fe80:c25b:ec00:dd6e:3000::/68 | fe80:c25b:ec00:dd6e:3fff:ffff:ffff:ffff |
| 229 | fe80:c25b:ec00:dd6e:4000::/68 | fe80:c25b:ec00:dd6e:4fff:ffff:ffff:ffff |
| 230 | fe80:c25b:ec00:dd6e:5000::/68 | fe80:c25b:ec00:dd6e:5fff:ffff:ffff:ffff |
| 231 | fe80:c25b:ec00:dd6e:6000::/68 | fe80:c25b:ec00:dd6e:6fff:ffff:ffff:ffff |
| 232 | fe80:c25b:ec00:dd6e:7000::/68 | fe80:c25b:ec00:dd6e:7fff:ffff:ffff:ffff |
| 233 | fe80:c25b:ec00:dd6e:8000::/68 | fe80:c25b:ec00:dd6e:8fff:ffff:ffff:ffff |
| 234 | fe80:c25b:ec00:dd6e:9000::/68 | fe80:c25b:ec00:dd6e:9fff:ffff:ffff:ffff |
| 235 | fe80:c25b:ec00:dd6e:a000::/68 | fe80:c25b:ec00:dd6e:afff:ffff:ffff:ffff |
| 236 | fe80:c25b:ec00:dd6e:b000::/68 | fe80:c25b:ec00:dd6e:bfff:ffff:ffff:ffff |
| 237 | fe80:c25b:ec00:dd6e:c000::/68 | fe80:c25b:ec00:dd6e:cfff:ffff:ffff:ffff |
| 238 | fe80:c25b:ec00:dd6e:d000::/68 | fe80:c25b:ec00:dd6e:dfff:ffff:ffff:ffff |
| 239 | fe80:c25b:ec00:dd6e:e000::/68 | fe80:c25b:ec00:dd6e:efff:ffff:ffff:ffff |
| 240 | fe80:c25b:ec00:dd6e:f000::/68 | fe80:c25b:ec00:dd6e:ffff:ffff:ffff:ffff |
| 241 | fe80:c25b:ec00:dd6f::/68 | fe80:c25b:ec00:dd6f:fff:ffff:ffff:ffff |
| 242 | fe80:c25b:ec00:dd6f:1000::/68 | fe80:c25b:ec00:dd6f:1fff:ffff:ffff:ffff |
| 243 | fe80:c25b:ec00:dd6f:2000::/68 | fe80:c25b:ec00:dd6f:2fff:ffff:ffff:ffff |
| 244 | fe80:c25b:ec00:dd6f:3000::/68 | fe80:c25b:ec00:dd6f:3fff:ffff:ffff:ffff |
| 245 | fe80:c25b:ec00:dd6f:4000::/68 | fe80:c25b:ec00:dd6f:4fff:ffff:ffff:ffff |
| 246 | fe80:c25b:ec00:dd6f:5000::/68 | fe80:c25b:ec00:dd6f:5fff:ffff:ffff:ffff |
| 247 | fe80:c25b:ec00:dd6f:6000::/68 | fe80:c25b:ec00:dd6f:6fff:ffff:ffff:ffff |
| 248 | fe80:c25b:ec00:dd6f:7000::/68 | fe80:c25b:ec00:dd6f:7fff:ffff:ffff:ffff |
| 249 | fe80:c25b:ec00:dd6f:8000::/68 | fe80:c25b:ec00:dd6f:8fff:ffff:ffff:ffff |
| 250 | fe80:c25b:ec00:dd6f:9000::/68 | fe80:c25b:ec00:dd6f:9fff:ffff:ffff:ffff |
| 251 | fe80:c25b:ec00:dd6f:a000::/68 | fe80:c25b:ec00:dd6f:afff:ffff:ffff:ffff |
| 252 | fe80:c25b:ec00:dd6f:b000::/68 | fe80:c25b:ec00:dd6f:bfff:ffff:ffff:ffff |
| 253 | fe80:c25b:ec00:dd6f:c000::/68 | fe80:c25b:ec00:dd6f:cfff:ffff:ffff:ffff |
| 254 | fe80:c25b:ec00:dd6f:d000::/68 | fe80:c25b:ec00:dd6f:dfff:ffff:ffff:ffff |
| 255 | fe80:c25b:ec00:dd6f:e000::/68 | fe80:c25b:ec00:dd6f:efff:ffff:ffff:ffff |
| 256 | fe80:c25b:ec00:dd6f:f000::/68 | fe80:c25b:ec00:dd6f:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |